2019-10-14 12:51 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002368FSSCPgameplaypublic2011-01-07 17:04
ReporterFUBAR-BDHR 
Assigned ToFUBAR-BDHR 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.13 
Target VersionFixed in Version3.6.13 
Summary0002368: Subsystems with vanish flag still play sound from player ship
DescriptionThat's basically the issue. Should have fix attached in few minutes.
TagsNo tags attached.
Attached Files
  • patch file icon mantis_2368.patch (622 bytes) 2011-01-03 19:18 -
    Index: ship/shiphit.cpp
    ===================================================================
    --- ship/shiphit.cpp	(revision 6920)
    +++ ship/shiphit.cpp	(working copy)
    @@ -221,7 +221,8 @@
     
     	// Don't log or display info about the activation subsytem
     	int display = (psub->type != SUBSYSTEM_ACTIVATION);
    -	if (display) {
    +	if (display && !(subsys->flags & SSF_VANISHED))  // Don't display or play sound if is' supposed to vanish.
    +	{
     		mission_log_add_entry(LOG_SHIP_SUBSYS_DESTROYED, ship_p->ship_name, psub->subobj_name, log_index );
     		if ( ship_obj == Player_obj ) {
     			snd_play( &Snds[SND_SUBSYS_DIE_1], 0.0f );
    
    patch file icon mantis_2368.patch (622 bytes) 2011-01-03 19:18 +
  • ? file icon 0.fs2 (3,375 bytes) 2011-01-03 19:19

-Relationships
+Relationships

-Notes

~0012586

FUBAR-BDHR (developer)

Patch attached and test mission uploaded. Mission is from Diaspora but the events should work on any ship class so it getting converted to a Uly shouldn't be an issue.

~0012590

FUBAR-BDHR (developer)

Fixed in r6930
+Notes

-Issue History
Date Modified Username Field Change
2011-01-03 19:10 FUBAR-BDHR New Issue
2011-01-03 19:10 FUBAR-BDHR Status new => assigned
2011-01-03 19:10 FUBAR-BDHR Assigned To => FUBAR-BDHR
2011-01-03 19:18 FUBAR-BDHR File Added: mantis_2368.patch
2011-01-03 19:19 FUBAR-BDHR File Added: 0.fs2
2011-01-03 19:21 FUBAR-BDHR Note Added: 0012586
2011-01-07 17:04 FUBAR-BDHR Note Added: 0012590
2011-01-07 17:04 FUBAR-BDHR Status assigned => resolved
2011-01-07 17:04 FUBAR-BDHR Fixed in Version => 3.6.13
2011-01-07 17:04 FUBAR-BDHR Resolution open => fixed
+Issue History